Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects
Class FieldFlag

    java.lang.Object
      com.sun.mdm.index.objects.FieldFlag

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class FieldFlag
extends java.lang.Object
implements java.io.Externalizable

See Also:
  Serialized Form

Field Summary
`static int` | `CHANGEDMASK` bit mask for CHANGE
`static int` | `CHANGEDTYPE` type for CHANGED
`static int` | `KEYTYPEMASK` bit mask for KEYTYPE
`static int` | `KEYTYPETYPE` type for KEYTYPE
`static int` | `NULLABLEMASK` bit mask for NULLABLE
`static int` | `NULLABLETYPE` type for NULLABLE
`static int` | `NULLMASK` bit mask for NULL
`static int` | `NULLTYPE` type for NULL
`static int` | `READACCESSMASK` bit mask for READACCESS
`static int` | `READACCESSTYPE` type for READACCESS
`static int` | `SEARCHEDMASK` bit mask for SEARCH
`static int` | `SEARCHEDTYPE` type for SEARCHED
`(package private) static long` | `serialVersionUID`
`static int` | `UPDATEACCESSMASK` bit mask for UPDATEACCESS
`static int` | `UPDATEACCESSTYPE` type for UPDATEACCESS
`static int` | `version`
`static int` | `VISIBLEMASK` bit mask for VISIBLE
`static int` | `VISIBLETYPE` type for VISIBLE

Constructor Summary
`FieldFlag()` Creates a new instance of FieldFlag sets flag to 0
`FieldFlag(int flag)`

Method Summary
`FieldFlag` | `copy()` self copy
`boolean` | `getFlag(int type)` Getter for Flag attribute of the FieldFlag object
`int` | `getFlagValue()`
`boolean` | `hasReadAccess()` if field is accessible for read
`boolean` | `hasUpdateAccess()` if field is accessible for update
`boolean` | `isChanged()` Getter for Changed attribute of the FieldFlag object
`boolean` | `isKeyType()` Getter for KeyType attribute of the FieldFlag object
`boolean` | `isNull()` Getter for Null attribute of the FieldFlag object
`boolean` | `isNullable()` Getter for Nullable attribute of the FieldFlag object
`boolean` | `isSearched()` Getter for Searched attribute of the FieldFlag object
`boolean` | `isVisible()` Getter for Visible attribute of the FieldFlag object
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setChanged(boolean flag)` Setter for Changed attribute of the FieldFlag object
`void` | `setFlag(int flag)` Setter for Flag attribute of the FieldFlag object
`void` | `setFlag(int type, boolean flag)` Setter for Flag attribute of the FieldFlag object
`void` | `setKeyType(boolean flag)` Setter for KeyType attribute of the FieldFlag object
`void` | `setNull(boolean flag)` Setter for Null attribute of the FieldFlag object
`void` | `setNullable(boolean flag)` Setter for Nullable attribute of the FieldFlag object
`void` | `setReadAccess(boolean flag)` set field's read access flag
`void` | `setSearched(boolean flag)` Setter for Searched attribute of the FieldFlag object
`void` | `setUpdateAccess(boolean flag)` set field's update access flag
`void` | `setVisible(boolean flag)` Setter for Visible attribute of the FieldFlag object
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANGEDMASK

    public static final int CHANGEDMASK

  bit mask for CHANGE

  See Also:
    Constant Field Values

### CHANGEDTYPE

    public static final int CHANGEDTYPE

  type for CHANGED

  See Also:
    Constant Field Values

### KEYTYPEMASK

    public static final int KEYTYPEMASK

  bit mask for KEYTYPE

  See Also:
    Constant Field Values

### KEYTYPETYPE

    public static final int KEYTYPETYPE

  type for KEYTYPE

  See Also:
    Constant Field Values

### NULLABLEMASK

    public static final int NULLABLEMASK

  bit mask for NULLABLE

  See Also:
    Constant Field Values

### NULLABLETYPE

    public static final int NULLABLETYPE

  type for NULLABLE

  See Also:
    Constant Field Values

### NULLMASK

    public static final int NULLMASK

  bit mask for NULL

  See Also:
    Constant Field Values

### NULLTYPE

    public static final int NULLTYPE

  type for NULL

  See Also:
    Constant Field Values

### READACCESSMASK

    public static final int READACCESSMASK

  bit mask for READACCESS

  See Also:
    Constant Field Values

### READACCESSTYPE

    public static final int READACCESSTYPE

  type for READACCESS

  See Also:
    Constant Field Values

### SEARCHEDMASK

    public static final int SEARCHEDMASK

  bit mask for SEARCH

  See Also:
    Constant Field Values

### SEARCHEDTYPE

    public static final int SEARCHEDTYPE

  type for SEARCHED

  See Also:
    Constant Field Values

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### UPDATEACCESSMASK

    public static final int UPDATEACCESSMASK

  bit mask for UPDATEACCESS

  See Also:
    Constant Field Values

### UPDATEACCESSTYPE

    public static final int UPDATEACCESSTYPE

  type for UPDATEACCESS

  See Also:
    Constant Field Values

### version

    public static final int version

See Also:
  Constant Field Values

### VISIBLEMASK

    public static final int VISIBLEMASK

  bit mask for VISIBLE

  See Also:
    Constant Field Values

### VISIBLETYPE

    public static final int VISIBLETYPE

  type for VISIBLE

  See Also:
    Constant Field Values

Constructor Detail

### FieldFlag

    public FieldFlag()

  Creates a new instance of FieldFlag sets flag to 0

### FieldFlag

    public FieldFlag(int flag)

Method Detail

### copy

    public FieldFlag copy()

  self copy

  Returns:
    FieldFlag

### getFlag

    public boolean getFlag(int type)
                    throws ObjectException

  Getter for Flag attribute of the FieldFlag object

  Parameters:
    `type` - int value
  Returns:
    boolean true or false
  Throws:
    `ObjectException` - ObjectException

### getFlagValue

    public int getFlagValue()

### hasReadAccess

    public boolean hasReadAccess()

  if field is accessible for read

  Returns:
    boolean

### hasUpdateAccess

    public boolean hasUpdateAccess()

  if field is accessible for update

  Returns:
    boolean

### isChanged

    public boolean isChanged()

  Getter for Changed attribute of the FieldFlag object

  Returns:
    boolean

### isKeyType

    public boolean isKeyType()

  Getter for KeyType attribute of the FieldFlag object

  Returns:
    boolean

### isNull

    public boolean isNull()

  Getter for Null attribute of the FieldFlag object

  Returns:
    boolean

### isNullable

    public boolean isNullable()

  Getter for Nullable attribute of the FieldFlag object

  Returns:
    boolean

### isSearched

    public boolean isSearched()

  Getter for Searched attribute of the FieldFlag object

  Returns:
    boolean

### isVisible

    public boolean isVisible()

  Getter for Visible attribute of the FieldFlag object

  Returns:
    boolean

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### setChanged

    public void setChanged(boolean flag)

  Setter for Changed attribute of the FieldFlag object

  Parameters:
    `flag` - changed

### setFlag

    public void setFlag(int flag)

  Setter for Flag attribute of the FieldFlag object

  Parameters:
    `flag` - flag

### setFlag

    public void setFlag(int type,
                        boolean flag)
                 throws ObjectException

  Setter for Flag attribute of the FieldFlag object

  Parameters:
    `type` - int value
    `flag` - boolean value
  Throws:
    `ObjectException` - ObjectException

### setKeyType

    public void setKeyType(boolean flag)

  Setter for KeyType attribute of the FieldFlag object

  Parameters:
    `flag` - key type

### setNull

    public void setNull(boolean flag)

  Setter for Null attribute of the FieldFlag object

  Parameters:
    `flag` - null

### setNullable

    public void setNullable(boolean flag)

  Setter for Nullable attribute of the FieldFlag object

  Parameters:
    `flag` - nullable

### setReadAccess

    public void setReadAccess(boolean flag)

  set field's read access flag

  Parameters:
    `flag` - read access

### setSearched

    public void setSearched(boolean flag)

  Setter for Searched attribute of the FieldFlag object

  Parameters:
    `flag` - searched

### setUpdateAccess

    public void setUpdateAccess(boolean flag)

  set field's update access flag

  Parameters:
    `flag` - update access

### setVisible

    public void setVisible(boolean flag)

  Setter for Visible attribute of the FieldFlag object

  Parameters:
    `flag` - visible

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.